package com.huiju.welcome.model;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-06-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCustomer implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "customer_id", type = IdType.INPUT)
    private Integer customerId;

    private String customerName;

    private Integer sex;

    private String phone;

    private String avatar;

    private String plateNumber;

    private String carModel;

    private String channel;

    private String purpose;

    private String favorHouse;

    private String favorLevel;

    private String remark;

    @TableField("`status`")
    private Integer status;

    private LocalDateTime createDate;

    private Integer consultantId;

    private String realtyConsultant;

    @TableField(exist = false)
    private List<TaPerson> group;

    @TableField(exist = false)
    private Map<String, Object> lastVisit;

    @TableField(exist = false)
    Boolean apointment;


    /**
     * 是否购买过银城的房子
     */
    private Integer haveHouse;

    /**
     * 老业主小区
     */
    private String oldCommunity;

    /**
     * 现居住区域
     */
    private Integer nowArea;

    /**
     * 现居住小区
     */
    private String nowCommunity;

    /**
     * 现居住城市(城市不在居住区域有效)
     */
    private String nowCity;

    /**
     * 家庭成员收入工作城市
     */
    private Integer familyWork;

    /**
     * 请填写具体城市名称
     */
    private String cityName;

    /**
     * 家庭收入成员工作单位
     */
    private String familyCompany;

    /**
     * 家庭收入成员工作行业
     */
    private String familyIndustry;

    /**
     * 家庭收入成员工作职务
     */
    private String familyDuty;

    /**
     * 家庭本市置业次数
     */
    private Integer housePurchasing;

    /**
     * 家庭本市名下房产数量
     */
    private Integer houseProperty;

    /**
     * 现居住面积
     */
    private Integer houseLivingArea;

    /**
     * 现居住户型
     */
    private Integer houseType;

    /**
     * 目前家庭结构
     */
    private Integer familyStructure;

}
